import GIS from './gis.js';
import UI from './ui.js';
import { Application } from '@hotwired/stimulus';
import MenuController from './controllers/menu_controller.js';
import ModalController from './controllers/modal_controller.js';

document.addEventListener('DOMContentLoaded', async () => {
    // Register Stimulus controllers
    initStimulus();

    let progress = document.querySelector('progress');
    const init = await GIS.initMap('map');
    progress.classList.add('is-hidden');
    let {map, sites} = init;

    map._container.setAttribute('aria-busy', false);

    GIS.toggleSpherical(map);

    UI.addCenterMapControl(map, GIS.CENTER_COORDS, GIS.INIT_ZOOM);
    UI.toggleBurger('navbar-burger');
    UI.sitesMenu('.menu-list', map, sites);

    window.LMap = map;
});

function initStimulus() {
    window.Stimulus = Application.start();
    Stimulus.register("menu", MenuController);
    Stimulus.register("modal", ModalController);
}